OCC.Core.ChFi2d module

ChFi2d module, see official documentation at https://www.opencascade.com/doc/occt-7.4.0/refman/html/package_chfi2d.html

class ChFi2d_AnaFilletAlgo(*args)

Bases: object

  • An empty constructor. Use the method Init() to initialize the class.
    rtype

    None* A constructor. It expects a wire consisting of two edges of type (any combination of): - segment - arc of circle.

    param theWire

    type theWire

    TopoDS_Wire

    param thePlane

    type thePlane

    gp_Pln

    rtype

    None* A constructor. It expects two edges having a common point of type: - segment - arc of circle.

    param theEdge1

    type theEdge1

    TopoDS_Edge

    param theEdge2

    type theEdge2

    TopoDS_Edge

    param thePlane

    type thePlane

    gp_Pln

    rtype

    None

Init()
  • Initializes the class by a wire consisting of two edges.
    param theWire

    type theWire

    TopoDS_Wire

    param thePlane

    type thePlane

    gp_Pln

    rtype

    None* Initializes the class by two edges.

    param theEdge1

    type theEdge1

    TopoDS_Edge

    param theEdge2

    type theEdge2

    TopoDS_Edge

    param thePlane

    type thePlane

    gp_Pln

    rtype

    None

Perform()
  • Calculates a fillet.
    param radius

    type radius

    float

    rtype

    bool

Result()
  • Retrieves a result (fillet and shrinked neighbours).
    param e1

    type e1

    TopoDS_Edge

    param e2

    type e2

    TopoDS_Edge

    rtype

    TopoDS_Edge

property thisown

The membership flag

class ChFi2d_Builder(*args)

Bases: object

Return type

None* The face <F> can be build on a closed or an open wire. :param F: :type F: TopoDS_Face :rtype: None

AddChamfer()
  • Add a chamfer on the wire between the two edges connected <E1> and <E2>. <AddChamfer> returns the chamfer edge. This edge has sense only if the status <status> is <IsDone>.
    param E1

    type E1

    TopoDS_Edge

    param E2

    type E2

    TopoDS_Edge

    param D1

    type D1

    float

    param D2

    type D2

    float

    rtype

    TopoDS_Edge* Add a chamfer on the wire between the two edges connected to the vertex <V>. The chamfer will make an angle <Ang> with the edge <E>, and one of its extremities will be on <E> at distance <D>. The returned edge has sense only if the status <status> is <IsDone>. Warning: The value of <Ang> must be expressed in Radian.

    param E

    type E

    TopoDS_Edge

    param V

    type V

    TopoDS_Vertex

    param D

    type D

    float

    param Ang

    type Ang

    float

    rtype

    TopoDS_Edge

AddFillet()
  • Add a fillet of radius <Radius> on the wire between the two edges connected to the vertex <V>. <AddFillet> returns the fillet edge. The returned edge has sense only if the status <status> is <IsDone>
    param V

    type V

    TopoDS_Vertex

    param Radius

    type Radius

    float

    rtype

    TopoDS_Edge

BasisEdge()
  • Returns the parent edge of <E> Warning: If <E>is a basis edge, the returned edge would be equal to <E>
    param E

    type E

    TopoDS_Edge

    rtype

    TopoDS_Edge

ChamferEdges()
  • returns the list of new edges
    rtype

    TopTools_SequenceOfShape

DescendantEdge()
  • returns the modified edge if <E> has descendant or <E> in the other case.
    param E

    type E

    TopoDS_Edge

    rtype

    TopoDS_Edge

FilletEdges()
  • returns the list of new edges
    rtype

    TopTools_SequenceOfShape

HasDescendant()
Parameters

E

type E

TopoDS_Edge

rtype

bool

Init()
Parameters

F

type F

TopoDS_Face

rtype

None:param RefFace:

type RefFace

TopoDS_Face

param ModFace

type ModFace

TopoDS_Face

rtype

None

IsModified()
Parameters

E

type E

TopoDS_Edge

rtype

bool

ModifyChamfer()
  • modify the chamfer <Chamfer> and returns the new chamfer edge. This edge as sense only if the status <status> is <IsDone>.
    param Chamfer

    type Chamfer

    TopoDS_Edge

    param E1

    type E1

    TopoDS_Edge

    param E2

    type E2

    TopoDS_Edge

    param D1

    type D1

    float

    param D2

    type D2

    float

    rtype

    TopoDS_Edge* modify the chamfer <Chamfer> and returns the new chamfer edge. This edge as sense only if the status <status> is <IsDone>. Warning: The value of <Ang> must be expressed in Radian.

    param Chamfer

    type Chamfer

    TopoDS_Edge

    param E

    type E

    TopoDS_Edge

    param D

    type D

    float

    param Ang

    type Ang

    float

    rtype

    TopoDS_Edge

ModifyFillet()
  • modify the fillet radius and return the new fillet edge. this edge has sense only if the status <status> is <IsDone>.
    param Fillet

    type Fillet

    TopoDS_Edge

    param Radius

    type Radius

    float

    rtype

    TopoDS_Edge

NbChamfer()
Return type

int

NbFillet()
Return type

int

RemoveChamfer()
  • removes the chamfer <Chamfer> and returns the vertex connecting the two adjacent edges to this chamfer.
    param Chamfer

    type Chamfer

    TopoDS_Edge

    rtype

    TopoDS_Vertex

RemoveFillet()
  • removes the fillet <Fillet> and returns the vertex connecting the two adjacent edges to this fillet.
    param Fillet

    type Fillet

    TopoDS_Edge

    rtype

    TopoDS_Vertex

Result()
  • returns the modified face
    rtype

    TopoDS_Face

Status()
Return type

ChFi2d_ConstructionError

property thisown

The membership flag

class ChFi2d_ChamferAPI(*args)

Bases: object

  • An empty constructor.
    rtype

    None* A constructor accepting a wire consisting of two linear edges.

    param theWire

    type theWire

    TopoDS_Wire

    rtype

    None* A constructor accepting two linear edges.

    param theEdge1

    type theEdge1

    TopoDS_Edge

    param theEdge2

    type theEdge2

    TopoDS_Edge

    rtype

    None

Init()
  • Initializes the class by a wire consisting of two libear edges.
    param theWire

    type theWire

    TopoDS_Wire

    rtype

    None* Initializes the class by two linear edges.

    param theEdge1

    type theEdge1

    TopoDS_Edge

    param theEdge2

    type theEdge2

    TopoDS_Edge

    rtype

    None

Perform()
  • Constructs a chamfer edge. Returns true if the edge is constructed.
    rtype

    bool

Result()
Parameters

theEdge1

type theEdge1

TopoDS_Edge

param theEdge2

type theEdge2

TopoDS_Edge

param theLength1

type theLength1

float

param theLength2

type theLength2

float

rtype

TopoDS_Edge

property thisown

The membership flag

class ChFi2d_FilletAPI(*args)

Bases: object

  • An empty constructor of the fillet algorithm. Call a method Init() to initialize the algorithm before calling of a Perform() method.
    rtype

    None* A constructor of a fillet algorithm: accepts a wire consisting of two edges in a plane.

    param theWire

    type theWire

    TopoDS_Wire

    param thePlane

    type thePlane

    gp_Pln

    rtype

    None* A constructor of a fillet algorithm: accepts two edges in a plane.

    param theEdge1

    type theEdge1

    TopoDS_Edge

    param theEdge2

    type theEdge2

    TopoDS_Edge

    param thePlane

    type thePlane

    gp_Pln

    rtype

    None

Init()
  • Initializes a fillet algorithm: accepts a wire consisting of two edges in a plane.
    param theWire

    type theWire

    TopoDS_Wire

    param thePlane

    type thePlane

    gp_Pln

    rtype

    None* Initializes a fillet algorithm: accepts two edges in a plane.

    param theEdge1

    type theEdge1

    TopoDS_Edge

    param theEdge2

    type theEdge2

    TopoDS_Edge

    param thePlane

    type thePlane

    gp_Pln

    rtype

    None

NbResults()
  • Returns number of possible solutions. <thePoint> chooses a particular fillet in case of several fillets may be constructed (for example, a circle intersecting a segment in 2 points). Put the intersecting (or common) point of the edges.
    param thePoint

    type thePoint

    gp_Pnt

    rtype

    int

Perform()
  • Constructs a fillet edge. Returns true if at least one result was found.
    param theRadius

    type theRadius

    float

    rtype

    bool

Result()
  • Returns result (fillet edge, modified edge1, modified edge2), nearest to the given point <thePoint> if iSolution == -1 <thePoint> chooses a particular fillet in case of several fillets may be constructed (for example, a circle intersecting a segment in 2 points). Put the intersecting (or common) point of the edges.
    param thePoint

    type thePoint

    gp_Pnt

    param theEdge1

    type theEdge1

    TopoDS_Edge

    param theEdge2

    type theEdge2

    TopoDS_Edge

    param iSolution

    default value is -1

    type iSolution

    int

    rtype

    TopoDS_Edge

property thisown

The membership flag

class ChFi2d_FilletAlgo(*args)

Bases: object

  • An empty constructor of the fillet algorithm. Call a method Init() to initialize the algorithm before calling of a Perform() method.
    rtype

    None* A constructor of a fillet algorithm: accepts a wire consisting of two edges in a plane.

    param theWire

    type theWire

    TopoDS_Wire

    param thePlane

    type thePlane

    gp_Pln

    rtype

    None* A constructor of a fillet algorithm: accepts two edges in a plane.

    param theEdge1

    type theEdge1

    TopoDS_Edge

    param theEdge2

    type theEdge2

    TopoDS_Edge

    param thePlane

    type thePlane

    gp_Pln

    rtype

    None

Init()
  • Initializes a fillet algorithm: accepts a wire consisting of two edges in a plane.
    param theWire

    type theWire

    TopoDS_Wire

    param thePlane

    type thePlane

    gp_Pln

    rtype

    None* Initializes a fillet algorithm: accepts two edges in a plane.

    param theEdge1

    type theEdge1

    TopoDS_Edge

    param theEdge2

    type theEdge2

    TopoDS_Edge

    param thePlane

    type thePlane

    gp_Pln

    rtype

    None

NbResults()
  • Returns number of possible solutions. <thePoint> chooses a particular fillet in case of several fillets may be constructed (for example, a circle intersecting a segment in 2 points). Put the intersecting (or common) point of the edges.
    param thePoint

    type thePoint

    gp_Pnt

    rtype

    int

Perform()
  • Constructs a fillet edge. Returns true, if at least one result was found
    param theRadius

    type theRadius

    float

    rtype

    bool

Result()
  • Returns result (fillet edge, modified edge1, modified edge2), neares to the given point <thePoint> if iSolution == -1. <thePoint> chooses a particular fillet in case of several fillets may be constructed (for example, a circle intersecting a segment in 2 points). Put the intersecting (or common) point of the edges.
    param thePoint

    type thePoint

    gp_Pnt

    param theEdge1

    type theEdge1

    TopoDS_Edge

    param theEdge2

    type theEdge2

    TopoDS_Edge

    param iSolution

    default value is -1

    type iSolution

    int

    rtype

    TopoDS_Edge

property thisown

The membership flag

class SwigPyIterator(*args, **kwargs)

Bases: object

advance()
copy()
decr()
distance()
equal()
incr()
next()
previous()
property thisown

The membership flag

value()
class chfi2d

Bases: object

property thisown

The membership flag